import { defineNuxtPlugin } from '#app'
import 'element-plus/dist/index.full'
import ElementPlus from 'element-plus'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'

export default defineNuxtPlugin(nuxtApp => {
    nuxtApp.vueApp.use(ElementPlus)
    for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
      nuxtApp.vueApp.component(key, component)
    }
})